﻿using System.Collections.Generic;
using System.Xml.Serialization;

namespace WingMan.MouseKey
{
    public class MouseKeyBindingExchange
    {
        [XmlIgnore] public static readonly XmlSerializer XmlSerializer =
            new XmlSerializer(typeof(MouseKeyBindingExchange));

        public MouseKeyBindingExchange()
        {
        }

        public MouseKeyBindingExchange(string nick, List<MouseKeyBinding> mouseKeyBindings)
        {
            Nick = nick;
            MouseKeyBindings = mouseKeyBindings;
        }

        public string Nick { get; set; }

        public List<MouseKeyBinding> MouseKeyBindings { get; set; }
    }
}
